#
# spec file for package SDL_Pango
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lname	libSDL_Pango1
Name:           SDL_Pango
Version:        0.1.2
Release:        240.6
Summary:        Programming Pango via SDL
License:        LGPL-2.1-or-later
Group:          Development/Libraries/X11
URL:            http://sdlpango.sourceforge.net/
#CVS-Clone:	-d:pserver:anonymous@sdlpango.cvs.sourceforge.net:/cvsroot/sdlpango co -P SDL_Pango
Source:         %name-%version.tar.bz2
Patch1:         %name-%version-API-adds.patch
BuildRequires:  dos2unix
BuildRequires:  libtool
BuildRequires:  pkgconf-pkg-config
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sdl)

%description
Pango is the text rendering engine of GNOME 2.x. SDL_Pango connects the
engine to SDL.

%package -n %lname
Summary:        Programming Pango via SDL
Group:          System/Libraries

%description -n %lname
Pango is the text rendering engine of GNOME 2.x. SDL_Pango connects the
engine to SDL.

%package devel
Summary:        Headers for SDL_Pango development
Group:          Development/Libraries/X11
Requires:       %lname = %version
Requires:       pkgconfig(sdl)
Provides:       libSDL_Pango-devel = %version-%release
Obsoletes:      libSDL_Pango-devel < %version-%release

%description devel
This package contains the necessary include files and libraries needed
to develop applications that require SDL_Pango.

%prep
%autosetup -p1
dos2unix AUTHORS README

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install
find %buildroot -type f -name "*.la" -delete -print

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%license COPYING
%doc AUTHORS README
%_libdir/libSDL_Pango.so.*

%files devel
%_includedir/SDL_Pango.h
%_libdir/pkgconfig/SDL_Pango.pc
%_libdir/libSDL_Pango.so

%changelog
* Wed May 18 2022 Jan Engelhardt <jengelh@inai.de>
- Remove baselibs.conf, nothing appears to be using it.
- Change -devel subpackage to be based on SRPM/project name.
- Use pkgconfig(sdl) to build with sdl12_compat.
* Sat May 11 2019 Jan Engelhardt <jengelh@inai.de>
- Remove --with-pic (ineffective with --disable-static)
* Sat May 11 2019 Luigi Baldoni <aloisio@gmx.com>
- Add cairo as dependency for pango (fixes Factory build)
- Spec cleanup
* Thu Jan  8 2015 jengelh@inai.de
- Use pkgconfig() symbols for pulling in BuildRequires
* Thu Jan 30 2014 jengelh@inai.de
- Some metadata spruce-up: add current URLs, softer wildcarding
  in the files list, more robust make install call
* Mon Nov 11 2013 jengelh@inai.de
- Set RPM groups to the same values as on the main SDL packages
* Wed Apr 17 2013 dimstar@opensuse.org
- Add libtool BuildRequires and call to autoreconf: even though we
  don't have any patches, we need to bootstrap, as the ancient
  ./libtool in the tarball (version 1.5) fails to work on recent
  Builders, resulting in linker errors.
* Thu Jan  3 2013 crrodriguez@opensuse.org
- Remove fontconfig-devel freetype2-devel which are not
  really BuildRequired.
* Fri Sep 16 2011 jengelh@medozas.de
- Add libSDL_Pango-devel to baselibs
- Remove reundant tags/ssections
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Wed Jan 27 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Oct  7 2009 prusnak@suse.cz
- fix provides and obsoletes [bnc#544957]
* Wed Jun  3 2009 coolo@novell.com
- fix requires of devel package
* Wed May 20 2009 prusnak@suse.cz
- follow Shared Library Policy
* Thu Jun 26 2008 crrodriguez@suse.de
- disable unusable static libraries
- SDL_Pango-devel should require SDL-devel
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-* errors
* Sun Oct 29 2006 sndirsch@suse.de
- created package
